Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util.j2d
Class TextRenderer.DefaultRenderDelegate

    java.lang.Object
      com.sun.opengl.util.j2d.TextRenderer.DefaultRenderDelegate

All Implemented Interfaces:
  TextRenderer.RenderDelegate

Enclosing class:
  TextRenderer

public static class TextRenderer.DefaultRenderDelegate
extends Object
implements TextRenderer.RenderDelegate

Constructor Summary
`TextRenderer.DefaultRenderDelegate()`

Method Summary
`void` | `draw(Graphics2D graphics, String str, int x, int y)` Render the passed character sequence at the designated location using the supplied Graphics2D instance.
`void` | `drawGlyphVector(Graphics2D graphics, GlyphVector str, int x, int y)` Render the passed GlyphVector at the designated location using the supplied Graphics2D instance.
`Rectangle2D` | `getBounds(CharSequence str, Font font, FontRenderContext frc)` Computes the bounds of the given character sequence relative to the origin.
`Rectangle2D` | `getBounds(GlyphVector gv, FontRenderContext frc)` Computes the bounds of the given GlyphVector, already assumed to have been created for a particular Font, relative to the origin.
`Rectangle2D` | `getBounds(String str, Font font, FontRenderContext frc)` Computes the bounds of the given String relative to the origin.
`boolean` | `intensityOnly()` Indicates whether the backing store of this TextRenderer should be intensity-only (the default) or full-color.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextRenderer.DefaultRenderDelegate

    public TextRenderer.DefaultRenderDelegate()

Method Detail

### intensityOnly

    public boolean intensityOnly()

  Description copied from interface: `TextRenderer.RenderDelegate`
  Indicates whether the backing store of this TextRenderer should be intensity-only (the default) or full-color.

  Specified by:
    `intensityOnly` in interface `TextRenderer.RenderDelegate`

### getBounds

    public Rectangle2D getBounds(CharSequence str,
                                 Font font,
                                 FontRenderContext frc)

  Description copied from interface: `TextRenderer.RenderDelegate`
  Computes the bounds of the given character sequence relative to the origin.

  Specified by:
    `getBounds` in interface `TextRenderer.RenderDelegate`

### getBounds

    public Rectangle2D getBounds(String str,
                                 Font font,
                                 FontRenderContext frc)

  Description copied from interface: `TextRenderer.RenderDelegate`
  Computes the bounds of the given String relative to the origin.

  Specified by:
    `getBounds` in interface `TextRenderer.RenderDelegate`

### getBounds

    public Rectangle2D getBounds(GlyphVector gv,
                                 FontRenderContext frc)

  Description copied from interface: `TextRenderer.RenderDelegate`
  Computes the bounds of the given GlyphVector, already assumed to have been created for a particular Font, relative to the origin.

  Specified by:
    `getBounds` in interface `TextRenderer.RenderDelegate`

### drawGlyphVector

    public void drawGlyphVector(Graphics2D graphics,
                                GlyphVector str,
                                int x,
                                int y)

  Description copied from interface: `TextRenderer.RenderDelegate`
  Render the passed GlyphVector at the designated location using the supplied Graphics2D instance. The surrounding region will already have been cleared to the RGB color (0, 0, 0) with zero alpha. The initial drawing context of the passed Graphics2D will be set to use AlphaComposite.Src, the color white, the Font specified in the TextRenderer's constructor, and the rendering hints specified in the TextRenderer constructor. Changes made by the end user may be visible in successive calls to this method, but are not guaranteed to be preserved. Implementors of this method should reset the Graphics2D's state to that desired each time this method is called, in particular those states which are not the defaults.

  Specified by:
    `drawGlyphVector` in interface `TextRenderer.RenderDelegate`

### draw

    public void draw(Graphics2D graphics,
                     String str,
                     int x,
                     int y)

  Description copied from interface: `TextRenderer.RenderDelegate`
  Render the passed character sequence at the designated location using the supplied Graphics2D instance. The surrounding region will already have been cleared to the RGB color (0, 0, 0) with zero alpha. The initial drawing context of the passed Graphics2D will be set to use AlphaComposite.Src, the color white, the Font specified in the TextRenderer's constructor, and the rendering hints specified in the TextRenderer constructor. Changes made by the end user may be visible in successive calls to this method, but are not guaranteed to be preserved. Implementors of this method should reset the Graphics2D's state to that desired each time this method is called, in particular those states which are not the defaults.

  Specified by:
    `draw` in interface `TextRenderer.RenderDelegate`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.